Excluir Projeto
curl --request DELETE \
--url https://api.voicecheap.ai/v1/translate/{projectId} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.voicecheap.ai/v1/translate/{projectId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.voicecheap.ai/v1/translate/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"projectId": "<string>"
}Tradução
Excluir Projeto
Excluir permanentemente um projeto de tradução
Excluir Projeto
Excluir Projeto
Excluir permanentemente um projeto de tradução e seus ativos associados. Esta limpeza também remove quaisquer arquivos de exemplo de pré-visualização de clonagem de voz armazenados que foram gerados para o projeto. Se alguns arquivos internos gerados ou registros de segmento já foram removidos antes da conclusão da exclusão, a limpeza continua no modo de melhor esforço e ainda finaliza a exclusão do projeto.Esta operação é irreversível. O projeto, trabalhos, ativos de mídia gerados e arquivos de exemplo de pré-visualização de voz armazenados serão excluídos.
Solicitação
Cabeçalhos
string
obrigatório
Sua chave de API VoiceCheap. Obtenha uma em app.voicecheap.ai/page-api.
Parâmetros de Caminho
string
obrigatório
O identificador único do projeto de tradução a ser excluído.
Resposta
boolean
obrigatório
Indica que a operação de exclusão foi concluída com sucesso.
string
obrigatório
Mensagem de confirmação legível por humanos.
string
obrigatório
O ID do projeto excluído.
Exemplos
curl -X DELETE "https://api.voicecheap.ai/v1/translate/abc123-def456-ghi789" \
-H "x-api-key: vc_your-api-key"
interface DeleteProjectResponse {
success: true;
message: string;
projectId: string;
}
async function deleteProject(projectId: string): Promise<DeleteProjectResponse> {
const response = await fetch(
`https://api.voicecheap.ai/v1/translate/${projectId}`,
{
method: 'DELETE',
headers: {
'x-api-key': 'vc_your-api-key',
},
},
);
if (!response.ok) {
const error = await response.json();
throw new Error(error.message || 'Failed to delete project');
}
return response.json();
}
// Usage
deleteProject('abc123-def456-ghi789')
.then((result) => console.log('Deleted:', result.projectId))
.catch((error) => console.error('Error:', error));
import requests
project_id = 'abc123-def456-ghi789'
headers = {'x-api-key': 'vc_your-api-key'}
response = requests.delete(
f'https://api.voicecheap.ai/v1/translate/{project_id}',
headers=headers
)
if not response.ok:
error = response.json()
raise Exception(error.get('message', 'Failed to delete project'))
result = response.json()
print(f"Deleted: {result['projectId']}")
<?php
$apiKey = 'vc_your-api-key';
$projectId = 'abc123-def456-ghi789';
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voicecheap.ai/v1/translate/{$projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
"x-api-key: {$apiKey}"
]
]);
$response = curl_exec($curl);
$result = json_decode($response, true);
if (!isset($result['success'])) {
$message = $result['message'] ?? 'Failed to delete project';
throw new Exception($message);
}
echo "Deleted: " . $result['projectId'];
Erros
| Status | Código | Descrição |
|---|---|---|
| 401 | INVALID_API_KEY | A chave de API fornecida é inválida |
| 403 | FORBIDDEN | Você não tem permissão para excluir este projeto |
| 404 | PROJECT_NOT_FOUND | O projeto especificado não existe |
| 429 | RATE_LIMIT_EXCEEDED | Muitas solicitações (limite: 10 solicitações por minuto) |
| 500 | INTERNAL_ERROR | Erro inesperado do servidor |
Esta página foi útil?

